package se.lth.control;

import org.apache.maven.plugin.AbstractMojo;
import org.apache.maven.plugin.MojoExecutionException;
import org.apache.maven.plugins.annotations.Mojo;
import org.apache.maven.project.MavenProject;
import se.lth.control.labcomm2014.compiler.LabComm;

/**
 * @goal genjava
 */
//@Mojo(name = "genjava")
public class App extends AbstractMojo {

	/**
	 * @parameter default-value="path_to_file.lc"
	 */
	private String lc;

	/**
	 * @parameter default-value="${project.build.directory}/labcomm_gen"
	 */
	private String dir;

	/**
	 * @parameter default-value="labcomm_gen"
	 */
	private String pkg;

	/**
	 * @parameter default-value="${project}"
	 */
	private MavenProject project;

	public void execute() throws MojoExecutionException {
		project.addCompileSourceRoot(dir);
		LabComm.main(new String[] {
				"--java=" + dir,
				"--javapackage=" + pkg,
				lc,
		});
	}
}
